"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = AlertMessageComponent;
var _react = _interopRequireDefault(require("react"));
var _Alert = _interopRequireDefault(require("@mui/material/Alert"));
var _AlertMessagesModule = _interopRequireDefault(require("./AlertMessages.module.css"));
var _const = require("../const");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function AlertMessageComponent(_ref) {
  let {
    message,
    clearAlertMessage
  } = _ref;
  function handleClose() {
    const messageKey = message.key;
    if (!messageKey) {
      return;
    }
    clearAlertMessage(messageKey);
  }
  function _getSeverity(type) {
    switch (type) {
      case _const.TYPE_SUCCESS:
        return "success";
      case _const.TYPE_FAILED:
        return "error";
      default:
        return "info";
    }
  }
  return /*#__PURE__*/_react.default.createElement("div", {
    key: message.key,
    className: _AlertMessagesModule.default.alertMessage
  }, /*#__PURE__*/_react.default.createElement(_Alert.default, {
    onClose: handleClose,
    severity: _getSeverity(message.type),
    elevation: 6
  }, message.text));
}